### Class method

# Gtk WidgetClass query_action

#### Declaration [src]

    gboolean
    gtk_widget_class_query_action (
      GtkWidgetClass* widget_class,
      guint index_,
      GType* owner,
      const char** action_name,
      const GVariantType** parameter_type,
      const char** property_name
    )

#### Description [src]

Returns details about the `index_`-th action that has been installed for `widget_class` during class initialization.

See `gtk_widget_class_install_action()` for details on how to install actions.

Note that this function will also return actions defined by parent classes. You can identify those by looking at `owner`.

#### Parameters

`index_`

  Type: `guint`

  Position of the action to query.

`owner`

  Type: `GType*`

  Return location for the type where the action was defined.

  The argument will be set by the function.

`action_name`

  Type: `const char**`

  Return location for the action name.

  The argument will be set by the function.
  The returned data is owned by the class.
  The value is a NUL terminated UTF-8 string.

`parameter_type`

  Type: `GVariantType`

  Return location for the parameter type.

  The argument will be set by the function.
  The argument can be set to `NULL` by the class method
  The returned data is owned by the class.

`property_name`

  Type: `const char**`

  Return location for the property name.

  The argument will be set by the function.
  The argument can be set to `NULL` by the class method
  The returned data is owned by the class.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the action was found, `FALSE` if `index_` is out of range.